%define	name	xmms-tfmx
%define	version	0.5
%define release %mkrel 5
%define distsuffix plf

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	TFMX Plugin for XMMS
License:	free to use but restricted
URL:		http://sourceforge.net/projects/xmms-tfmx/
Group:          Sound
Source:		http://stukach.com/hosted/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	xmms >= 1.0.0
BuildRequires:	xmms
BuildRequires:	xmms-devel

%description
This is a plugin for the Unix soundplayer XMMS (www.xmms.org).
It replays the TFMX format, created by Chris Hlsbeck in the late 80's.
Used in the Amiga games Turrican 1/2/3, X-Out, Z-Out, Apydia,
and many others ...

This package is in PLF for it's restricted license.
%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
%define __libtoolize true
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT
%if %_lib != lib
mv %buildroot%_prefix/lib/ %buildroot%_libdir
%endif
rm -f %buildroot%{_libdir}/xmms/Input/libtfmx.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README tfmxconverter.guide tfmxplay.txt tfmxplugreadme.txt
%{_libdir}/xmms/Input/libtfmx.so

%changelog
* Sun Apr 26 2009 Gtz Waschk <goetz@zarb.org> 0.5-5plf2009.1
- fix build

* Thu Apr 12 2007 Gtz Waschk <goetz@zarb.org> 0.5-4plf2007.1
- rebuild

* Mon Dec 19 2005 Götz Waschk <goetz@zarb.org> 0.5-3plf
- Rebuild

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 0.5-2plf
- fix description

* Wed Feb 18 2004 Gtz Waschk <goetz@plf.zarb.org> 0.5-1plf
- build fixes
- drop the patch
- new version

* Fri Sep 19 2003 Gtz Waschk <goetz@plf.zarb.org> 0.3-4plf
- fix description
- fix source url

* Fri Jun 20 2003 Gtz Waschk <goetz@plf.zarb.org> 0.3-3plf
- clean unpackaged file
- buildrequires
- gcc 3.3 patch

* Fri Apr 26 2002 Stefan van der Eijk <stefan@eijk.nu> 0.3-2plf
- BuildRequires

* Wed Jan 30 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 0.3-1plf 
- new plf extension

* Mon Nov 12 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- 0.3
- fixed license statement

* Thu Sep 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2-3mdk
- small spec changes

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2-2mdk
- took contributed SRPM from Gtz Waschk <waschk@linux-mandrake.com>
- more macros

* Sun Jul 16 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- initial Mandrake release
